gtkmm 2.4: Atk::NoOpObject Class Reference

Main Page Widgets Namespaces Book

# Atk::NoOpObject Class Reference

Inheritance diagram for Atk::NoOpObject:

[legend]
List of all members.

## Detailed Description

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces.

It is the type of Atk::Object which is created if an accessible object is requested for an object type for which no factory type is specified.

## Public Member Functions
const AtkNoOpObject* | gobj () const
| Provides access to the underlying C GObject.
AtkNoOpObject* | gobj ()
| Provides access to the underlying C GObject.
AtkNoOpObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~NoOpObject ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::NoOpObject> | wrap (AtkNoOpObject* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::NoOpObject::~NoOpObject | ( |  | ) | `[virtual]`

## Member Function Documentation

const AtkNoOpObject* Atk::NoOpObject::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Action.

AtkNoOpObject* Atk::NoOpObject::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Action.

AtkNoOpObject* Atk::NoOpObject::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. Reimplemented from Atk::Object.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::NoOpObject> wrap | ( | AtkNoOpObject* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- noopobject.h